Bug 469811 - Review Request: pdf2djvu - PDF to DjVu converter
Review Request: pdf2djvu - PDF to DjVu converter
Status: CLOSED RAWHIDE
Product: Fedora
Classification: Fedora
Component: Package Review (Show other bugs)
rawhide
All Linux
medium Severity medium
: ---
: ---
Assigned To: Susi Lehtola
Fedora Extras Quality Assurance
:
Depends On: 469808 479385
Blocks:
  Show dependency treegraph
 
Reported: 2008-11-04 01:42 EST by Rakesh Pandit
Modified: 2009-03-07 02:49 EST (History)
3 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2009-03-07 02:49:50 EST
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---
susi.lehtola: fedora‑review+
huzaifas: fedora‑cvs+


Attachments (Terms of Use)

  None (edit)
Description Rakesh Pandit 2008-11-04 01:42:03 EST
Description:
pdf2djvu creates DjVu files from PDF files. It's able to extract:
graphics, text layer, hyperlinks, document outline (bookmarks) and
metadata.


SPEC: http://rakesh.fedorapeople.org/spec/pdf2djvu.spec
SRPM: http://rakesh.fedorapeople.org/srpm/pdf2djvu-0.4.13-1.fc10.src.rpm
Comment 1 Rakesh Pandit 2008-11-04 01:43:12 EST
https://bugzilla.redhat.com/show_bug.cgi?id=469808 <--- depends on pstreams-devel
Comment 2 Aaron S. Hawley 2008-11-06 03:33:06 EST
For whatever reason, it compiles on Fedora 9 i386, but complains when linking with jpeg.

[...]
g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic -fasynchronous-unwind-tables -pthread -I/usr/include/poppler   -DPOPPLER_VERSION=807  -DDJVULIBRE_BIN_PATH="\"/usr/bin\""    pdf2djvu.o compoppler.o debug.o config.o system.o sexpr.o quantizer.o -lpoppler -ldjvulibre -ljpeg -lpthread -lm      -o pdf2djvu 
/usr/bin/ld: cannot find -ljpeg
collect2: ld returned 1 exit status
make: *** [pdf2djvu] Error 1
error: Bad exit status from /var/tmp/rpm-tmp.61865 (%build)

Running `pkg-config --libs ddjvuapi' gives "-ldjvulibre -ljpeg -lpthread -lm".

I have libjpeg-6b-41.fc9.i386 installed.
Comment 3 Dan Horák 2008-11-06 03:42:02 EST
(In reply to comment #2)
> For whatever reason, it compiles on Fedora 9 i386, but complains when linking
> with jpeg.
> 
> [...]
> g++ -O2 -g -pipe -Wall -Wp,-D_FORTIFY_SOURCE=2 -fexceptions -fstack-protector
> --param=ssp-buffer-size=4 -m32 -march=i386 -mtune=generic
> -fasynchronous-unwind-tables -pthread -I/usr/include/poppler  
> -DPOPPLER_VERSION=807  -DDJVULIBRE_BIN_PATH="\"/usr/bin\""    pdf2djvu.o
> compoppler.o debug.o config.o system.o sexpr.o quantizer.o -lpoppler
> -ldjvulibre -ljpeg -lpthread -lm      -o pdf2djvu 
> /usr/bin/ld: cannot find -ljpeg
> collect2: ld returned 1 exit status
> make: *** [pdf2djvu] Error 1
> error: Bad exit status from /var/tmp/rpm-tmp.61865 (%build)
> 
> Running `pkg-config --libs ddjvuapi' gives "-ldjvulibre -ljpeg -lpthread -lm".
> 
> I have libjpeg-6b-41.fc9.i386 installed.

You need libjpeg-devel installed to be able to link with libjpeg.
Comment 4 Susi Lehtola 2008-11-08 08:30:18 EST
MUST: Change patch1 to patch0.

MUST: License is GPLv2+, not GPLv2.

SHOULD: Please break BuildRequires one per line in alphabetized order.

MUST: Add libjpeg-devel to BR.

MUST: Modify install bit to

install -p -m 644 -D {doc,%{buildroot}%{_mandir}/man1}/pdf2djvu.1
install -p -m 755 -D {,%{buildroot}%{_bindir}/}pdf2djvu

to preserve time stamps.

SHOULD: Capitalize first letters of sentence in %changelog.


After you've corrected these I'll approve the package.
Comment 6 Susi Lehtola 2008-11-08 10:25:44 EST
Looks good, although you don't need

%defattr(644,root,root,755)

since the permissions are now set by install. Just use

%defattr(-,root,root,-)

You can do this upon import to CVS.

-----------------------------------
rpmlint output is clean.
Packaged according to Review Guidelines. 

The package is APPROVED.
-----------------------------------
Comment 7 Susi Lehtola 2008-11-08 10:45:11 EST
(In reply to comment #6)
> Looks good, although you don't need
> 
> %defattr(644,root,root,755)
> 
> since the permissions are now set by install. Just use
> 
> %defattr(-,root,root,-)
> 
> You can do this upon import to CVS.

And you can also remove
%attr(755,root,root)
from bindir/* in the files section.

Thus, the new %files section should be

%defattr(-,root,root,-)
%{_bindir}/%{name}
%{_mandir}/man1/%{name}.1
Comment 8 Rakesh Pandit 2008-11-08 10:54:26 EST
Thanks - Will fix while importing.

New Package CVS Request
=======================
Package Name: pdf2djvu
Short Description: PDF to DjVu converter
Owners: rakesh
Branches: F-8 F-9 F-10
InitialCC:
Cvsextras Commits: yes
Comment 9 Huzaifa S. Sidhpurwala 2008-11-10 05:25:42 EST
cvs done
Comment 10 Rakesh Pandit 2009-01-09 03:51:45 EST
Need to a fix in djvulibre to import. Reported:
https://bugzilla.redhat.com/show_bug.cgi?id=479385
Comment 11 Rakesh Pandit 2009-01-16 23:57:37 EST
Imported in Rawhide ... will build for F-10 and F-9 once djvulibre are in stable. Need to wait for a day before building.
Comment 12 Rakesh Pandit 2009-03-07 02:49:50 EST
Will not build for F9 or F10 as djvulibre has very deep devel pkg KDE deps which will need an unnecessary update as djvulibre updates soname.

Imported in rawhide.

Note You need to log in before you can comment on or make changes to this bug.